import axios from '@/libs/api.request'

export const getTableData = () => {
  return axios.request({
    url: 'mock/get_table_data',
    method: 'get'
  })
}

export const getDragList = () => {
  return axios.request({
    url: 'mock/get_drag_list',
    method: 'get'
  })
}

export const errorReq = () => {
  return axios.request({
    url: 'mock/error_url',
    method: 'post'
  })
}

export const saveErrorLogger = info => {
  return axios.request({
    url: 'mock/save_error_logger',
    data: info,
    method: 'post'
  })
}

export const uploadImg = formData => {
  return axios.request({
    url: 'mock/image/upload',
    data: formData
  })
}

export const getOrgData = () => {
  return axios.request({
    url: 'mock/get_org_data',
    method: 'get'
  })
}

export const getCityData = () => {
  return axios.request({
    url: 'mock/get_city_data',
    method: 'get'
  })
}

export const getTreeSelectData = () => {
  return axios.request({
    url: 'mock/get_tree_select_data',
    method: 'get'
  })
}

export const getGridtData = () => {
  return axios.request({
    url: 'mock/get_grid_data',
    method: 'get'
  })
}
